//neopixel.cpp 
#include "neopixel.h"
#include "Adafruit_NeoPixel.h"

// Which pin on the Arduino is connected to the NeoPixels?
#define PIN        4 // On Trinket or Gemma, suggest changing this to 1

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS  7 // Popular NeoPixel ring size

/*Create object of the sensor with integration time of 50ms and gain of 4x*/
Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

extern "C" void neopixel_Init(void)
{ 
    pixels.begin(); // INITIALIZE NeoPixel strip object
} 
extern "C" void neopixel_Step(char *r,char *g,char *b) 
{ 
    int i = 0;
    for (i = 0; i < NUMPIXELS; i++) {
      pixels.setPixelColor(i,*r,*g,*b);
      //pixels.setPixelColor(i, pixels.Color(255,120,0));
    }

    pixels.show();   // Send the updated pixel colors to the hardware.
} 
extern "C" void neopixel_Terminate() 
{ 
}