//colorSensor.h
#ifndef _COLORSENSOR_H_
#define _COLORSENSOR_H_
#ifdef __cplusplus
extern "C" {
#endif
    #if (defined(MATLAB_MEX_FILE) || defined(RSIM_PARAMETER_LOADING) ||  defined(RSIM_WITH_SL_SOLVER))
        /* This will be run in Rapid Accelerator Mode */
        #define colorSensor_Init()         (0)
        #define colorSensor_Step(a,b,c)    (0)
        #define colorSensor_Terminate()    (0)
    #else
        void colorSensor_Init(void);
        void colorSensor_Step(float*,float*,float*);
        void colorSensor_Terminate(void);
#endif
#ifdef __cplusplus
}
#endif
#endif 