//neopixel.h
#ifndef _NEOPIXEL_H_
#define _NEOPIXEL_H_
#ifdef __cplusplus
extern "C" {
#endif
    #if (defined(MATLAB_MEX_FILE) || defined(RSIM_PARAMETER_LOADING) ||  defined(RSIM_WITH_SL_SOLVER))
        /* This will be run in Rapid Accelerator Mode */
        #define neopixel_Init()         (0)
        #define neopixel_Step(a,b,c)    (0)
        #define neopixel_Terminate()    (0)
    #else
        void neopixel_Init(void);
        void neopixel_Step(char *r,char *g,char *b);
        void neopixel_Terminate(void);
#endif
#ifdef __cplusplus
}
#endif
#endif 